FastAi installation problem

(Leon Dummer) #8

Because some of the dependencies are written in C++, Python is often not only python code, but also using C librarys etc.

1 Like

(Bart) #9

aa ok.Thanks for Your help :slight_smile:

0 Likes

(Abhinav Anand) #10

Collecting pyperclip>=1.5.27 (from cmd2>=0.6.7->cliff<2.9,>=2.8.0->kaggle-cli->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 10))
Requirement already satisfied: attrs in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from cmd2>=0.6.7->cliff<2.9,>=2.8.0->kaggle-cli->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 10)) (18.1.0)
Requirement already satisfied: pyzmq>=13 in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from jupyter_client->ipykernel>=4.5.1->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (17.1.2)
Requirement already satisfied: jinja2 in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (2.10)
Requirement already satisfied: nbconvert in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (5.4.0)
Requirement already satisfied: Send2Trash in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (1.5.0)
Requirement already satisfied: terminado>=0.8.1 in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (0.8.1)
Requirement already satisfied: prometheus_client in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (0.3.1)
Requirement already satisfied: parso>=0.3.0 in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from jedi>=0.10->ipython>=4.0.0; python_version >= “3.3”->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (0.3.1)
Requirement already satisfied: wcwidth in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from prompt_toolkit<2.1.0,>=2.0.0->ipython>=4.0.0; python_version >= “3.3”->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (0.1.7)
Requirement already satisfied: click<8,>=4.0 in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from cligj>=0.4->fiona->geopandas>=0.3.0->plotnine->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 9)) (6.7)
Requirement already satisfied: MarkupSafe>=0.23 in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from jinja2->notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (1.0)
Requirement already satisfied: mistune>=0.8.1 in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from nbconvert->notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (0.8.3)
Requirement already satisfied: entrypoints>=0.2.2 in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from nbconvert->notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (0.2.3)
Requirement already satisfied: bleach in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from nbconvert->notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (2.1.4)
Requirement already satisfied: pandocfilters>=1.4.1 in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from nbconvert->notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (1.4.2)
Requirement already satisfied: testpath in c:\users\abhinav\anaconda3\envs\fastai\lib\site-packages (from nbconvert->notebook>=4.4.1->widgetsnbextension~=3.4.0->ipywidgets->-r C:\Users\Abhinav\fastai\condaenv.2qhi04v_.requirements.txt (line 11)) (0.4.1)
Exception:
Traceback (most recent call last):
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init_.py”, line 2869, in _dep_map
return self._dep_map
File "C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2663, in getattr
raise AttributeError(attr)
AttributeError: _DistInfoDistribution__dep_map

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\packaging\requirements.py”, line 93, in init
req = REQUIREMENT.parseString(requirement_string)
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1632, in parseString
raise exc
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1622, in parseString
loc, tokens = self._parse( instring, 0 )
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1379, in _parseNoCache
loc,tokens = self.parseImpl( instring, preloc, doActions )
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 3395, in parseImpl
loc, exprtokens = e._parse( instring, loc, doActions )
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1383, in _parseNoCache
loc,tokens = self.parseImpl( instring, preloc, doActions )
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 3183, in parseImpl
raise ParseException(instring, loc, self.errmsg, self)
pip._vendor.pyparsing.ParseException: Expected stringEnd (at char 33), (line:1, col:34)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init_.py”, line 2949, in init
super(Requirement, self).init(requirement_string)
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\packaging\requirements.py”, line 97, in init
requirement_string[e.loc:e.loc + 8]))
pip._vendor.packaging.requirements.InvalidRequirement: Invalid requirement, parse error at “’; extra '”

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_internal\basecommand.py”, line 141, in main
status = self.run(options, args)
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_internal\commands\install.py”, line 299, in run
resolver.resolve(requirement_set)
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_internal\resolve.py”, line 102, in resolve
self._resolve_one(requirement_set, req)
File “C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_internal\resolve.py”, line 306, in resolve_one
set(req_to_install.extras) - set(dist.extras)
File "C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2826, in extras
return [dep for dep in self.dep_map if dep]
File "C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2871, in _dep_map
self._dep_map = self.compute_dependencies()
File "C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2881, in compute_dependencies
reqs.extend(parse_requirements(req))
File "C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2942, in parse_requirements
yield Requirement(line)
File "C:\Users\Abhinav\Anaconda3\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2951, in init
raise RequirementParseError(str(e))
pip._vendor.pkg_resources.RequirementParseError: Invalid requirement, parse error at “’; extra '”

CondaValueError: pip returned an error

I am stuck at this error. Can anybody help?

Blockquote

0 Likes

(Leon Dummer) #11

@anand9499 is your pip the newest version? Otherwise you can update it with pip install --upgrade pip, usually when pkg_resources in pip throws an error, it’s because of an outdated version.

0 Likes

(Bart) #12

I wanted to do dual bool, but after installing Ubuntu my laptop is freezing when I want to use ubuntu.Do You have any idea what can I do? :slight_smile:

0 Likes

(Nikolay Jamgaryan) #13

Hello, everybody. I’m new to deep learning and at the very beginning I got some problems. I did the steps(1, 2, 3) and during conda env update I got such errors:
Exception:
Traceback (most recent call last):
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init_.py”, line 2869, in _dep_map
return self._dep_map
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2663, in getattr
raise AttributeError(attr)
AttributeError: _DistInfoDistribution__dep_map

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\packaging\requirements.py”, line 93, in init
req = REQUIREMENT.parseString(requirement_string)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1632, in parseString
raise exc
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1622, in parseString
loc, tokens = self._parse( instring, 0 )
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1379, in _parseNoCache
loc,tokens = self.parseImpl( instring, preloc, doActions )
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 3395, in parseImpl
loc, exprtokens = e._parse( instring, loc, doActions )
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1383, in _parseNoCache
loc,tokens = self.parseImpl( instring, preloc, doActions )
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 3183, in parseImpl
raise ParseException(instring, loc, self.errmsg, self)
pip._vendor.pyparsing.ParseException: Expected stringEnd (at char 33), (line:1, col:34)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init_.py”, line 2949, in init
super(Requirement, self).init(requirement_string)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\packaging\requirements.py”, line 97, in init
requirement_string[e.loc:e.loc + 8]))
pip._vendor.packaging.requirements.InvalidRequirement: Invalid requirement, parse error at “’; extra '”

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_internal\basecommand.py”, line 141, in main
status = self.run(options, args)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_internal\commands\install.py”, line 299, in run
resolver.resolve(requirement_set)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_internal\resolve.py”, line 102, in resolve
self._resolve_one(requirement_set, req)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_internal\resolve.py”, line 306, in resolve_one
set(req_to_install.extras) - set(dist.extras)
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2826, in extras
return [dep for dep in self.dep_map if dep]
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2871, in _dep_map
self._dep_map = self.compute_dependencies()
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2881, in compute_dependencies
reqs.extend(parse_requirements(req))
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2942, in parse_requirements
yield Requirement(line)
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2951, in init
raise RequirementParseError(str(e))
pip._vendor.pkg_resources.RequirementParseError: Invalid requirement, parse error at “’; extra '”

I’m running windows 10-x.64 with Cuda 9.0

Could anybody help me with these problems?

0 Likes

(Wayne Nixalo) #14

See this thread. @EinAeffchen it doesn’t look like upgrading pip fixes this issue; may be something with one of the packages.

@Jamnik.

1 Like

(Abhinav Anand) #16

Are the following steps correct ?

  1. git clone https://github.com/fastai/fastai
  2. cd fastai
  3. conda create -n fastai python=3.6 anaconda
    Then, follow the steps suggested by @Borz
    1. comment out the 4 jupyter lines in environment.yml
    2. run conda env update
    3. manually install the packages that weren’t installed (mkl-random, cython, etc)
    4. manually install the 4 jupyter packages that you commented out.
0 Likes

#17

Same issue here only with Paperspace machine.
After I tried to conda env update error occurred.
I have tried pip install --upgrade pip but got same error as @Jamnik.

My VM on Paperspace is running Ubuntu 16.04 and fast.ai template.

0 Likes

#18

This worked for me.

1 Like

(Abhinav Anand) #19

This process worked for me in my local system too. Thanks for the help everyone.

0 Likes

(Abhinav Anand) #20

Thanks @Borz. It is working now

0 Likes

(Nikolay Jamgaryan) #21

@Borz thank you for your advise. But even with commented jupyter’s lines I have these exceptions:

Exception:
Traceback (most recent call last):
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init_.py”, line 2869, in _dep_map
return self._dep_map
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2663, in getattr
raise AttributeError(attr)
AttributeError: _DistInfoDistribution__dep_map

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\packaging\requirements.py”, line 93, in init
req = REQUIREMENT.parseString(requirement_string)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1632, in parseString
raise exc
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1622, in parseString
loc, tokens = self._parse( instring, 0 )
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1379, in _parseNoCache
loc,tokens = self.parseImpl( instring, preloc, doActions )
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 3395, in parseImpl
loc, exprtokens = e._parse( instring, loc, doActions )
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 1383, in _parseNoCache
loc,tokens = self.parseImpl( instring, preloc, doActions )
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pyparsing.py”, line 3183, in parseImpl
raise ParseException(instring, loc, self.errmsg, self)
pip._vendor.pyparsing.ParseException: Expected stringEnd (at char 33), (line:1, col:34)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init_.py”, line 2949, in init
super(Requirement, self).init(requirement_string)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\packaging\requirements.py”, line 97, in init
requirement_string[e.loc:e.loc + 8]))
pip._vendor.packaging.requirements.InvalidRequirement: Invalid requirement, parse error at “’; extra '”

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_internal\basecommand.py”, line 141, in main
status = self.run(options, args)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_internal\commands\install.py”, line 299, in run
resolver.resolve(requirement_set)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_internal\resolve.py”, line 102, in resolve
self._resolve_one(requirement_set, req)
File “D:\Anaconda\envs\fastai\lib\site-packages\pip_internal\resolve.py”, line 306, in resolve_one
set(req_to_install.extras) - set(dist.extras)
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2826, in extras
return [dep for dep in self.dep_map if dep]
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2871, in _dep_map
self._dep_map = self.compute_dependencies()
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2881, in compute_dependencies
reqs.extend(parse_requirements(req))
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2942, in parse_requirements
yield Requirement(line)
File "D:\Anaconda\envs\fastai\lib\site-packages\pip_vendor\pkg_resources_init
.py", line 2951, in init
raise RequirementParseError(str(e))
pip._vendor.pkg_resources.RequirementParseError: Invalid requirement, parse error at “’; extra '”

CondaValueError: pip returned an error

0 Likes

(Nikolay Jamgaryan) #22

@Borz Could you help, please?

0 Likes

(Brian Smith) #23

I’d suggest removing the environment - I suspect that the previous installation left some bad stuff. I think you can use:
conda env list
which will show your environments - then:
conda env remove -n fastai
To remove the environment (assuming it is fastai and not fastai-cpu)
Then start again. You shouldn’t need to comment out the lines as Jeremy has removed them in the original - so a fresh git clone should be ok (after removing the fastai directory).

0 Likes

(Wayne Nixalo) #24

I’d second what @brismith is saying. My notes were for getting the older version of the library running (and happened to work for the new fastai too), and the repository has been changing very quickly; so I’m not sure if the new fastai works out of the box (but I’d guess it does, and I’m just about to start running it now myself).

0 Likes

(Nafiseh Salmaniniyasar) #25

Can someone help me?
I get error at this line
conda env update

and the error is
Get:150 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 qtbase5-dev amd64 5.5.1+dfsg-16ubuntu7.5 [931 kB]
ources/init.py", line 2819, in extras
return [dep for dep in self._dep_map if dep]
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pkg_resources/init.py”, line 2864, in _dep_map
self.__dep_map = self._compute_dependencies()
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pkg_resources/init.py”, line 2874, in _compute_dependencies
reqs.extend(parse_requirements(req))
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pkg_resources/init.py”, line 2935, in parse_requirements
yield Requirement(line)
File “/home/paperspace/anaconda3/envs/fastai/lib/python3.6/site-packages/pip/_vendor/pkg_resources/init.py”, line 2944, in init
raise RequirementParseError(str(e))
pip._vendor.pkg_resources.RequirementParseError: Invalid requirement, parse error at “’; extra '”

0 Likes

(flit86) #26

Hi. Im new here. can you help me??? have the same problem. how u fix it??

0 Likes

(rares t) #27

do you have the latest pip installed?

0 Likes

(Nafiseh Salmaniniyasar) #28

yes, I do.

0 Likes